com.holonplatform.core.datastore.operation.commons

## Interface BulkInsertOperationConfiguration

- All Superinterfaces:
    DatastoreOperationConfiguration, Expression, ExpressionResolver.ExpressionResolverProvider

      public interface BulkInsertOperationConfiguration
      extends DatastoreOperationConfiguration

  Bulk `INSERT` operation configuration.
  Since:
    5.1.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration

      `DatastoreOperationConfiguration.Builder<B extends DatastoreOperationConfiguration.Builder<B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<PropertySet<?>>` | `getPropertySet()` Get the operation property set.
    `List<PropertyBox>` | `getValues()` Get the values to insert.

    - ### Methods inherited from interface com.holonplatform.core.datastore.operation.commons.DatastoreOperationConfiguration

      `getParameters, getTarget, getWriteOption, getWriteOptions, getWriteOptions, hasWriteOption`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

- - ### Method Detail

    - #### getValues

          List<PropertyBox> getValues()

      Get the values to insert.
      Returns:
        The operation values, an empty List if none

    - #### getPropertySet

          Optional<PropertySet<?>> getPropertySet()

      Get the operation property set.
      Returns:
        Optional operation property set

Copyright © 2019 The Holon Platform. All rights reserved.